ActionMapUIResource (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: ActionMapUIResource
Keywords: javax.swing.plaf.ActionMapUIResource class

# Class ActionMapUIResource

java.lang.Object
javax.swing.ActionMap
javax.swing.plaf.ActionMapUIResource

All Implemented Interfaces:
  `Serializable, UIResource`

public class ActionMapUIResource extends ActionMap implements UIResource
A subclass of javax.swing.ActionMap that implements UIResource. UI classes which provide an ActionMap should use this class.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionMapUIResource()`
  Constructs an `ActionMapUIResource`.

- ## Method Summary

  ### Methods declared in class ActionMap

  `allKeys, clear, get, getParent, keys, put, remove, setParent, size`
  Modifier and Type
  Method
  Description
  `Object[]`
  `allKeys()`
  Returns an array of the keys defined in this `ActionMap` and its parent.
  `void`
  `clear()`
  Removes all the mappings from this `ActionMap`.
  `Action`
  `get(Object key)`
  Returns the binding for `key`, messaging the parent `ActionMap` if the binding is not locally defined.
  `ActionMap`
  `getParent()`
  Returns this `ActionMap`'s parent.
  `Object[]`
  `keys()`
  Returns the `Action` names that are bound in this `ActionMap`.
  `void`
  `put(Object key, Action action)`
  Adds a binding for `key` to `action`.
  `void`
  `remove(Object key)`
  Removes the binding for `key` from this `ActionMap`.
  `void`
  `setParent(ActionMap map)`
  Sets this `ActionMap`'s parent.
  `int`
  `size()`
  Returns the number of bindings in this `ActionMap`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ActionMapUIResource

    public ActionMapUIResource()
    Constructs an `ActionMapUIResource`.